fieldset{display:initial;}
fieldset,label{margin:0;padding:0}
.rating{border:none}
.rating>[id^=star]{display:none}
.rating>label:before{
  margin:5px;
  font-size:1.5em;
  font-family:FontAwesome;
  display:inline-block;
  content:"\f005"
}
.rating>.half:before{
  content:"\f089";
  position:absolute
}
.rating>label{
  color:#ddd;
  float:right;
  font-size:18px;
}
.rating>[id^=star]:checked~label,
.rating:not(:checked)>label:hover,
.rating:not(:checked)>label:hover~label{
  color:#ffcc33
}
.reset-option{display:none}
.rating-box .card{
  position:relative;
  display:flex;
  width:100%;
  flex-direction:column;
  min-width:0;
  word-wrap:break-word;
  background-color:#fff;
  background-clip:border-box
}
.rating-box .card .card-body{
  padding:1rem;
  margin:auto
}
.rating-box .card-body{
  flex:1 1 auto;
  padding:1.25rem
}